@import "../../assets/scss/global";

.home-wrapper {
    width: 100%;

    @include largeScreen {
        .card{
            display: none;
        }
    }

    .card {
        margin-top: 16px;
        padding: 20px;
    }

    .map {
        position: relative;
        width: 100%;
        overflow: hidden;
        height: 1124px;

        .form {
            position: absolute;
            top: 10px;
            left: 50%;
            transform: translateX(-50%);
            display: flex;
            flex-direction: column;
            width: 94%;
            height: 697px;
            box-sizing: border-box;
            background: #FFFFFF;
            box-shadow: 21px 21px 59px rgba(121, 49, 39, 0.11);
            backdrop-filter: blur(10px);
            border-radius: 24px;
            padding: 30px;
            justify-content: space-between;


            @include smallScreen {
                height: 660px;
                top: 35%;
                left: 20%;
                width: 400px;
                transform: translateY(-50%);
            }
           
            @include largeScreen {
                top: 40%;
                left: 15%;
            }

            @include wideScreen{
                left: 20%;
            }

            h3 {
                font-size: 20px;
                line-height: 30px;

                span {
                    color: $primary-color;
                }

                @include largeScreen {
                    font-size: 32px;
                    line-height: 48px;
                }
            }

            .input-field {
                width: 100%;

                p {
                    color: $dark-color;
                    font-size: 13px;
                    line-height: 17px;
                    margin-bottom: 5px;
                }
            }

            p {
                svg {
                    margin-right: 10px;
                }
            }

            .contact-our {
                display: flex;
                flex-direction: row;
                justify-content: space-between;

                button {
                    min-width: 100px;
                }

                @include largeScreen {
                    button {
                        min-width: 130px;
                    }
                }

                p {
                    font-weight: 400;
                    font-size: 13px;
                    line-height: 17px;
                    color: $dark-color;

                    &:nth-child(2){
                        display: flex;
                        align-items: center;
                        font-weight: 500;
                        margin-top: 8px;

                        svg{
                            margin: 0 6px 0 0;
                        }
                    }
                }
            }
        }

        .info {
            position: absolute;
            bottom: -220px;
            left: 0;
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            padding: 20px;
            gap: 10px;
            box-sizing: border-box;
            width: 100%;
            background: #FFFFFF;
            box-shadow: 21px 21px 59px rgba(121, 49, 39, 0.11);
            backdrop-filter: blur(10px);
            border-radius: 24px;

            @include largeScreen {
                right: -395px;
                top: 0;
                left: initial;
                width: 375px;
                height: 205px;
            }

            h4 {
                color: $dark-color;
                font-size: 16px;
                font-weight: 700;
                line-height: 24px;
            }

            .info-item {
                display: flex;
                justify-content: center;
                font-weight: 500;
                font-size: 13px;
                line-height: 17px;

                svg {
                    margin: 2px 6px 0 0;
                }
            }
        }
    }
}